# 2024/12/30 日报

### 做了什么

- 编写证书获取文档windows部分

#### 1: 下载 win-acme

1. 访问 win-acme 的 [GitHub 页面](https://github.com/win-acme/win-acme)。
2. 下载最新版本的 ZIP 文件（通常是 `wacs-x.x.x.xxx.zip`）。
3. 解压到一个文件夹，例如 `C:\win-acme\`。

#### 2: 运行 win-acme

1. 打开命令提示符（以管理员身份运行）。

2. 导航到 win-acme 文件夹：

   ```cmd
   cmd
   复制代码
   cd C:\win-acme
   ```

3. 运行主程序：

   ```cmd
   cmd
   复制代码
   wacs.exe
   ```

#### 3: 配置证书

运行 `wacs.exe` 后，您会看到一个交互式菜单，按照提示操作：

1. **选择选项**：选择 `N` 以创建新的 HTTPS 绑定。

2. **输入域名**：输入要申请证书的域名（如 `example.com`）。

3. **验证域名**

   ：**选择验证方式**：

   - **HTTP-01 验证**：确保域名指向服务器的公网 IP，并且可以通过 80 端口访问。
   - **DNS-01 验证**：需要配置 DNS TXT 记录（适合无 80 端口访问的情况）。

4. **证书生成**：成功验证后，win-acme 会自动生成证书。

#### 4: 配置证书路径

win-acme 生成的证书路径通常位于：

```cmd
复制代码
C:\ProgramData\win-acme\acme-v02.api.letsencrypt.org\Certificates
```

证书文件包括：

- `.pfx` 文件：包含证书和私钥，适合导入到 IIS 等 Windows 服务。
- `.pem` 文件：可用于 Nginx 等服务器。

##### 处理客户问题

- EasyNvr7.3.8版本更新会失败
- 鉴权问题登录会返回一个验证 ，然后用这个验证去做直播预览处理
- 第三方鉴权
  - 三方鉴权返回200 但是接口返回未鉴权

### 学了什么

- 无
